package net.pricefx.common.apibuilder.chart;

import net.pricefx.common.apibuilder.BacklinkBuilder;
import net.pricefx.common.apibuilder.ObjectIdentity;

public class NonAggrFieldAxis<S extends ObjectIdentity> extends BacklinkBuilder<S> {

	public NonAggrFieldAxis(final S backLink, final String instanceId, final String classId) {
		super(instanceId, classId, backLink);
	}

	public NonAggrFieldAxis<S> withField() {
		addInvocation("withField");
		return this;
	}

	public Expression<NonAggrFieldAxis<S>> withExpression() { 
		final String id = addInvocation("withExpression");
		return new Expression<>(this, id, "Expression");
	}

}