package net.pricefx.domain;

import java.time.LocalDateTime;


public abstract class TimedObject extends NamedObject {

    public static final String FIELD_VALIDAFTER = "validAfter";

	private LocalDateTime validAfter = LocalDateTime.now();

	public LocalDateTime getValidAfter() {
		return validAfter;
	}

	public void setValidAfter(LocalDateTime validAfter) {
		this.validAfter = validAfter;
	}

	@Override
	public String[] getSignificantFields() {
		return new String[] { FIELD_UNIQUENAME, FIELD_VALIDAFTER };
	}

}
